# RaspAP Code of Conduct

## Our Pledge

RaspAP is an open source community project devoted to building simple yet 
powerful wireless router software for Debian-based devices. We as members, contributors,
and leaders pledge to make participation in our community an experience consisent with 
the norms of civil behavior and respectful discourse.

To this end, we pledge to act and interact in ways that uphold the following standards.

## Our Standards

Examples of behavior that contributes to a positive environment for our
community include:

* Being excellent to one another (treat others as you wish to be treated)
* Giving and accepting constructive feedback
* Being respectful of differing opinions and viewpoints
* Focusing on what is best not just for us as individuals, but for the
  overall community

Examples of unacceptable behavior are provided below. Quotes in parantheses
are portions of actual comments or issues that have been posted to this project:

* Unconstructive comments (this software "fails miserably")
* Complaining and/or emotional language ("I'm pulling my hair out!")
* Comments that are derogatory, trolling or are personal attacks ("what's wrong with you guys?")
* Public or private harassment of any kind
* Publishing others' private information, such as a physical or email
  address, without their explicit permission
* Other conduct which could reasonably be considered inappropriate in a
  professional setting

We have a zero tolerance policy for any and all of the above behavior.

## Enforcement Responsibilities

We reserve the right to remove, edit, or reject comments, issues, commits, 
discussions and other contributions that are not consistent with this Code of Conduct.
We may ban, temporarily or permanently, any contributor for violating this code, as appropriate.

## Scope

This Code of Conduct applies within all community spaces, and also applies when
an individual is officially representing the community in public spaces.
Examples of representing our community include using an official e-mail address,
posting via an official social media account, or acting as an appointed
representative at an online or offline event.

## Attribution

This Code of Conduct is adapted from the [Contributor Covenant][homepage],
version 2.0, available at
https://www.contributor-covenant.org/version/2/0/code_of_conduct.html.

Community Impact Guidelines were inspired by [Mozilla's code of conduct
enforcement ladder](https://github.com/mozilla/diversity).

[homepage]: https://www.contributor-covenant.org

For answers to common questions about this code of conduct, see the FAQ at
https://www.contributor-covenant.org/faq. Translations are available at
https://www.contributor-covenant.org/translations.
